Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: tex(dehypht.tex) texlive-dist
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           vinci
Version:        1.0.5
Release:        alt2_26
Summary:        Algorithms for volume computation

License:        GPL-1.0-or-later
URL:            https://www.multiprecision.org/vinci/
Source0:        https://www.multiprecision.org/downloads/%{name}-%{version}.tar.gz
# Man page written by Jerry James using text found in the sources.  Therefore,
# the man page has the same copyright and license as the sources.
Source1:        %{name}.1

# See https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  tex(latex)

Requires:       coreutils
Requires:       lrslib-utils
Source44: import.info

%description
The volume is one of the central properties of a convex body, and volume
computation is involved in many hard problems.  Applications range from
rather classical ones as in convex optimization to problems in remote
fields like algebraic geometry where the number of common roots of
polynomials can be related to a special polytope volume.

Part of the fascination of the subject stems from the discrepancy
between the intuitive notion of "volume" and the actual hardness of
computing it.  Despite this discouraging complexity - algorithms in
general need exponential time in the input dimension - steadily growing
computer power enables us to attack problems of practical interest.

Vinci is an easy to install C package that implements the state of the
art algorithms for volume computation.  It is the fruit of a research
project carried out at the IFOR (Institute for Operations Research) at
ETH ZA.rich, in collaboration with Benno BA.eler and Komei Fukuda.

%prep
%setup -q


%build
# Link with the right flags
sed -i 's|-o vinci|& %{build_ldflags}|' makefile

%make_build OPT='%{optflags}'
pdflatex manual.tex
pdflatex manual.tex

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
sed -e "s/@VERSION@/%{version}/" %{SOURCE1} > \
  %{buildroot}%{_mandir}/man1/%{name}.1
touch -r %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc ChangeLog manual.pdf
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.0.5-alt2_26
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.0.5-alt2_25
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.0.5-alt2_24
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.0.5-alt2_23
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.0.5-alt2_22
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.0.5-alt2_21
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.0.5-alt2_20
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt2_19
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_19
- update to new release by fcimport

* Tue Apr 07 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_18
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_17
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_16
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_15
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_14
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_10
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_7
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_6
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_5
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_4
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_3
- initial fc import

